from django.urls import path

from . import views
from . import autocomplete as autocomplete_views

app_name = 'jobs'
urlpatterns = [
    path('', views.Index.as_view(), name='index'),
    path('jobs/create/', views.JobCreate.as_view(), name='job_create'),
    path('jobs/me/', views.MyJobs.as_view(), name='my_jobs'),
    path('jobs/<int:pk>/detail/', views.JobDetail.as_view(), name='job_detail'),
    path('jobs/<int:pk>/renew/', views.JobRenew.as_view(), name='job_renew'),
    path('jobs/messages/<int:pk>/', views.Conversation.as_view(), name='conversation'),
    path('jobs/toggle/', views.change_status, name='job_toggle'),
    path('jobs/<int:job_pk>/applications/', views.ApplicationList.as_view(), name='job_applications'),
    path('jobs/applications/me/', views.ListOwnApplications.as_view(), name='my_applications'),
    path('jobs/applications/', views.ListJobApplications.as_view(), name='applications_others'),
    path('jobs/messages/', views.MesssageInbox.as_view(), name='messages_inbox'),
    path('jobs/messages/send/', views.send_message, name='send_message'),
    path('jobs/<int:job_pk>/apply/', views.ApplicationCreate.as_view(), name='job_apply'),
]

# autocomplete endpoints
urlpatterns += [
    path('tag-autocomplete/', autocomplete_views.TagAutocomplete.as_view(create_field='name'), name='tag-autocomplete',),
]